Subject: bug#76853: M-b not navigating to the previous word in the prompt string inside Eshell on emacs 30.1

From: Hrishikesh S <[email-masked]>
Date: Thu, 13 Mar 2025 20:32:49 -0700

Hi Stefan,

I tried this:

(add-hook 'eshell-mode-hook (lambda () (setq-local
inhibit-field-text-motion nil)))

but this doesn't work (retains current behavior and describe-variable says
that the default value for "inhibit-field-text-motion" is nil).

This worked:
(add-hook 'eshell-mode-hook (lambda () (setq-local
inhibit-field-text-motion t)))

but then I lose the completions I get when I type a command like `cd <tab>`
It would be nice if I could get back the behavior I was used to in emacs
29.
Currently, I'm managing by first hitting `C-b` followed by `M-b`.

:)

Regards,
Hrishi

On Sun, Mar 9, 2025 at 10:41 PM Stefan Kangas <[email-masked]>
wrote:

> Hrishikesh S <[email-masked]> writes:
>
> > I see.. Thanks for the response! I will try setting
> > `'inhibit-field-text-motion` and test.
> >
> > I'm used to using `M-b` a lot when I'm inside eshell as it lets me copy
> > parts of my current directory when running commands
> > (e.g: copy the git branch I'm on before pushing, etc), so found the
> change
> > to be a bit jarring. As long as there is a way
> > to get back the old behavior, I have no complaints :)
>
> Thanks, so I guess we can therefore close this bug.
>
> I'm doing that with this message.
>